Skip to content

User


OpenAPI Spec

GET
/v1/users/spec

Get OpenAPI 3.1.0 spec for User API

Responses

Returns OpenAPI 3.1.0 spec for User API

application/json
JSON
{
}

Playground

Samples


List Users

GET
/v1/users

List Users

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
roleId
fullName
email
shortName
roleType
staffNumber
deactivatedAt
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"fullName": "string",
"email": "string",
"shortName": "string",
"staffNumber": "string",
"color": "#FFFFFF",
"roleId": 0,
"roleType": "string",
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new User

POST
/v1/users

Create a new User

Authorizations

apiKey
Type
HTTP (bearer)

Request Body

application/json
JSON
{
"fullName": "string",
"email": "string",
"password": "string",
"roleId": 0,
"shortName": "string",
"staffNumber": "string",
"color": "#FFFFFF",
"deactivatedAt": "string",
"externalId": null
}

Responses

User found

application/json
JSON
{
"id": 0,
"fullName": "string",
"email": "string",
"shortName": "string",
"staffNumber": "string",
"color": "#FFFFFF",
"roleId": 0,
"roleType": "string",
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}

Playground

Server
Authorization
Body

Samples


Get a User

GET
/v1/users/{userId}

Get a User by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

userId*
Type
integer
Required
Format
"int32"

Responses

User found

application/json
JSON
{
"id": 0,
"fullName": "string",
"email": "string",
"shortName": "string",
"staffNumber": "string",
"color": "#FFFFFF",
"roleId": 0,
"roleType": "string",
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a User

PATCH
/v1/users/{userId}

Update a User by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

userId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"fullName": "string",
"email": "string",
"password": "string",
"roleId": 0,
"shortName": "string",
"staffNumber": "string",
"color": "#FFFFFF",
"deactivatedAt": "string",
"externalId": "string"
}

Responses

User found

application/json
JSON
{
"id": 0,
"fullName": "string",
"email": "string",
"shortName": "string",
"staffNumber": "string",
"color": "#FFFFFF",
"roleId": 0,
"roleType": "string",
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"externalId": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples